#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 16 November 2007                                                    *
#                                                                            *
#*****************************************************************************

.first
	define pango [-.pango]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/reent=multi\
	/define=("HAVE_CONFIG_H=1")/include=([],[-],[-.pango])

.c.obj
	copy [-]vms.h,[]$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).c_
	cc $(CFLAGS) $(MMS$TARGET_NAME).c_
	delete $(MMS$TARGET_NAME).c_;*

all :
	$(MMS)$(MMSQUALIFIERS) dump-boundaries.exe
	$(MMS)$(MMSQUALIFIERS) gen-all-unicode.exe
	$(MMS)$(MMSQUALIFIERS) testboundaries.exe
	$(MMS)$(MMSQUALIFIERS) testcolor.exe

dump-boundaries.exe : dump-boundaries.obj [-.examples]vmslib.opt [-]libpango.exe
	link dump-boundaries.obj,[-.examples]vmslib.opt/opt

dump-boundaries.obj : dump-boundaries.c

gen-all-unicode.exe : gen-all-unicode.obj [-.examples]vmslib.opt [-]libpango.exe
	link gen-all-unicode.obj,[-.examples]vmslib.opt/opt

gen-all-unicode.obj : gen-all-unicode.c

testboundaries.exe : testboundaries.obj [-.examples]vmslib.opt [-]libpango.exe
	link testboundaries.obj,[-.examples]vmslib.opt/opt

testboundaries.obj : testboundaries.c

testcolor.exe : testcolor.obj [-.examples]vmslib.opt [-]libpango.exe
	link testcolor.obj,[-.examples]vmslib.opt/opt

testcolor.obj : testcolor.c
