#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 16 November 2007                                                    *
#                                                                            *
#*****************************************************************************

.first
	define pango [-.pango]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/reent=multi\
	/define=("HAVE_CONFIG_H=1")/include=([],[-],[-.pango])

.c.obj
	copy [-]vms.h,[]$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).c_
	cc $(CFLAGS) $(MMS$TARGET_NAME).c_
	delete $(MMS$TARGET_NAME).c_;*

all :
	$(MMS)$(MMSQUALIFIERS) cairosimple.exe
	$(MMS)$(MMSQUALIFIERS) cairoshape.exe
	$(MMS)$(MMSQUALIFIERS) cairotwisted.exe
	
cairosimple.exe : cairosimple.obj vmslib.opt [-]libpango.exe
	link cairosimple.obj,vmslib.opt/opt

cairoshape.exe : cairoshape.obj vmslib.opt [-]libpango.exe
	link cairoshape.obj,vmslib.opt/opt

cairotwisted.exe : cairotwisted.obj vmslib.opt [-]libpango.exe
	link cairotwisted.obj,vmslib.opt/opt

cairosimple.obj : cairosimple.c
cairoshape.obj : cairoshape.c
cairotwisted.obj : cairotwisted.c
