#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 16 November 2007                                                    *
#                                                                            *
#*****************************************************************************

.first
	define pango [--.pango]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/reent=multi\
	/define=("HAVE_CONFIG_H=1")/include=([],[-],[--])

.c.obj
	copy [--]vms.h,[]$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).c_
	cc $(CFLAGS) $(MMS$TARGET_NAME).c_
	delete $(MMS$TARGET_NAME).c_;*

OBJS=fribidi_char_type.obj,fribidi.obj,fribidi_types.obj

all : $(OBJS)
	library/create [--]libmini_fribidi.olb $(OBJS)
	
fribidi.obj fribidi.o : fribidi.c [--.pango]pango-utils.h \
	[--.pango]pango-font.h [--.pango]pango-coverage.h \
	[--.pango]pango-types.h fribidi_types.h
fribidi_char_type.obj fribidi_char_type.o : fribidi_char_type.c \
	[--.pango]pango-utils.h [--.pango]pango-font.h \
	[--.pango]pango-coverage.h [--.pango]pango-types.h \
	fribidi_types.h fribidi_tab_char_type_2.i
fribidi_types.obj fribidi_type.o : fribidi_types.c \
	[--.pango]pango-utils.h [--.pango]pango-font.h \
	[--.pango]pango-coverage.h [--.pango]pango-types.h \
	fribidi_types.h
