#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 5 January 2010                                                      *
#                                                                            *
#*****************************************************************************

.first
	define pango [--.pango]

.suffixes : .cc

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/reent=multi\
	/define=("HAVE_CONFIG_H=1")/include=([],[-],[--])\
	/warn=disabl=(MISSINGRETURN)

CXXFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/reent=multi\
	/define=("HAVE_CONFIG_H=1")/include=([],[-],[--])\
	/warn=disabl=(MISSINGRETURN,CODEUNREACHABLE,INITNOTREACH)

.c.obj
	copy [--]vms.h,[]$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).c_
	cc $(CFLAGS) $(MMS$TARGET_NAME).c_
	delete $(MMS$TARGET_NAME).c_;*

.cc.obj
	copy [--]vms.h,[]$(MMS$TARGET_NAME).cc $(MMS$TARGET_NAME).c_
	cxx $(CXXFLAGS) $(MMS$TARGET_NAME).c_
	delete $(MMS$TARGET_NAME).c_;*

OBJS=hb-blob.obj,hb-buffer.obj,hb-glib.obj,hb-shape.obj,hb-unicode.obj,\
	hb-font.obj,hb-ot-layout.obj

all : 
	$(MMS)$(MMSQUALIFIERS) $(OBJS)
	library/create [--]libpango_ot.olb $(OBJS)
	$(MMS)$(MMSQUALIFIERS) main.exe

main.exe : main.obj linkopentype.opt [--]libpango_ot.olb
	cxxlink main.obj,[--]libpango_ot.olb/lib,sys$library:freetype/lib,\
	sys$library:libz/lib,[]linkopentype/opt

$(OBJS) : [--]config.h

hb-blob.obj : hb-blob.c
hb-buffer.obj : hb-buffer.c
hb-glib.obj : hb-glib.c
hb-shape.obj : hb-shape.c
hb-unicode.obj : hb-unicode.c
hb-font.obj : hb-font.cc
hb-ot-layout.obj : hb-ot-layout.cc
main.obj : main.cc

